Skip to main content
GET
/
api
/
v1
/
mcp
/
api_key
List all MCP API keys
curl --request GET \
  --url https://api.hevn.finance/api/v1/mcp/api_key \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "keyPreview": "<string>",
    "totalSpend": 123,
    "createdAt": "2023-11-07T05:31:56Z",
    "walletAddress": "<string>",
    "ipRestriction": "<string>",
    "maxSpend": 123,
    "remaining": 0,
    "lastUse": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Response

Successful Response

id
string<uuid>
required
name
string
required
keyPreview
string
required
totalSpend
number
required
createdAt
string<date-time>
required
walletAddress
string | null
ipRestriction
string | null
maxSpend
number | null
remaining
integer
default:0
lastUse
string<date-time> | null